View Issue Details

IDProjectCategoryView StatusLast Update
0005506DarkRadiantGUIpublic28.01.2021 17:57
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinux 
Product Version2.11.0 
Target Version2.11.0Fixed in Version2.11.0 
Summary0005506: Crash when trying to scroll the list in the favourites tab (wxGTK)
DescriptionThe mouse scroll event seems to crash when the Favourites tab is focused in the group dialog. There seems to be something off with the parent-child setup of the tab controls.

First measure to be taken is to rearrange the FavouritesBrowser to get rid of the temporary parent, model it after the ScriptWindow.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

DarkRadiant: master f4e9d488

2021-01-25 05:49:38

greebo

Details Diff
0005506: Rearrange the FavouritesBrowser. Addition to the group dialog is performed by the module initialisation code, the FavouritesBrowser itself is now deriving from wxPanel. Affected Issues
0005506
mod - radiant/CMakeLists.txt Diff File
mod - radiant/ui/favourites/FavouritesBrowser.cpp Diff File
mod - radiant/ui/favourites/FavouritesBrowser.h Diff File
add - radiant/ui/favourites/FavouritesUserInterfaceModule.cpp Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: master 2d787b56

2021-01-26 03:22:18

greebo

Details Diff
0005506: Fix linux compilation Affected Issues
0005506
mod - radiant/ui/favourites/FavouritesUserInterfaceModule.cpp Diff File

DarkRadiant: master 8272a95c

2021-01-28 17:22:36

greebo

Details Diff
0005506: Fix the endless loop triggered by the ScrollEventPropagationFilter Affected Issues
0005506
mod - libs/wxutil/dialog/ScrollEventPropagationFilter.h Diff File

Issue History

Date Modified Username Field Change
25.01.2021 05:48 greebo New Issue
25.01.2021 05:48 greebo Assigned To => greebo
25.01.2021 05:48 greebo Status new => assigned
25.01.2021 05:50 greebo Changeset attached => DarkRadiant master f4e9d488
26.01.2021 03:22 greebo Changeset attached => DarkRadiant master 2d787b56
28.01.2021 17:25 greebo Changeset attached => DarkRadiant master 8272a95c
28.01.2021 17:57 greebo Status assigned => resolved
28.01.2021 17:57 greebo Resolution open => fixed
28.01.2021 17:57 greebo Fixed in Version => 2.11.0